Arvados - Bug #16592

File renaming doesn't work
07/10/2020 10:06 PM - Lucas Di Pentima

Status: Resolved Start date: 09/23/2020
Priority: Normal Due date:

Assigned To: Lucas Di Pentima % Done: 100%
Category: Workbench2 Estimated time: 0.00 hour
Target version: 2020-10-07 Sprint

Description

When trying to rename a file, there's a webdav error happening and not being displayed. This issue was found while working on

#15610.
The renaming option has since been disabled by commenting out the code at file
src/views-components/context-menu/action-sets/collection-files-item-action-set.ts lines 24-31.

Subtasks:
Task # 16603: Review 16592-renaming-fix

Resolved

Related issues:
Related to Arvados Epics - Story #15333: Workbench2 feature parity with Workb... Closed
Related to Arvados - Bug #15685: File rename doesn't work, succeeds when no n... Resolved

01/01/2020 12/31/2021
10/22/2020

Associated revisions

Revision 33c03ae3 - 09/24/2020 09:58 PM - Lucas Di Pentima

Merge branch '16592-renaming-fix'
Closes #16592

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas@di-pentima.com.ar>

History

#1 - 07/10/2020 10:06 PM - Lucas Di Pentima
- Related to Story #15333: Workbench2 feature parity with Workbench added

#2 - 07/15/2020 04:26 PM - Peter Amstutz

- Assigned To set to Lucas Di Pentima

#3 - 08/04/2020 08:56 PM - Peter Amstutz
- Target version changed from 2020-08-12 Sprint to 2020-09-09 Sprint

#4 - 09/09/2020 02:26 PM - Lucas Di Pentima
- Target version changed from 2020-09-09 Sprint to 2020-09-23 Sprint

#5 - 09/18/2020 08:55 PM - Lucas Di Pentima

- Status changed from New to In Progress

#6 - 09/23/2020 03:18 PM - Lucas Di Pentima
- Target version changed from 2020-09-23 Sprint to 2020-10-07 Sprint

#7 - 09/23/2020 11:23 PM - Lucas Di Pentima

Updates at arvados-workbench2|26ec4bc - branch 16592-renaming-fix
Test run: https://ci.arvados.org/view/Developer/job/developer-tests-workbench2/98/

e Fixes issue with webdav client when providing a base URL without trailing slash.
¢ Adds tests.

#8 - 09/24/2020 09:40 PM - Peter Amstutz

Lucas Di Pentima wrote:
Updates at arvados-workbench2|26ec4bc - branch 16592-renaming-fix
Test run: https://ci.arvados.org/view/Developer/job/developer-tests-workbench2/98/

o Fixes issue with webdav client when providing a base URL without trailing slash.
e Adds tests.

LGTM, please merge.

#9 - 09/24/2020 10:10 PM - Anonymous

- Status changed from In Progress to Resolved

Applied in changeset arvados-workbench2|33c03ae3c79936cc1a69129f07fba33fe2d28fd8.

#10 - 10/22/2020 11:44 PM - Lucas Di Pentima

- Related to Bug #15685: File rename doesn't work, succeeds when no name is provided added
